Debian Bug report logs - #690128
inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news

version graph

Package: inn2; Maintainer for inn2 is Marco d'Itri <md@linux.it>; Source for inn2 is src:inn2.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Wed, 10 Oct 2012 09:36:01 UTC

Severity: serious

Tags: patch, wheezy-ignore

Found in version inn2/2.5.3-1

Fixed in version inn2/2.5.3-2

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 10 Oct 2012 09:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 10 Oct 2012 09:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 10 Oct 2012 11:32:48 +0200
[Message part 1 (text/plain, inline)]
Package: inn2
Version: 2.5.3-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package deletes a conffile
during the upgrade from squeeze to wheezy, debsums reports an error
afterwards:

1m24.8s ERROR: FAIL: debsums reports modifications inside the chroot:
  debsums: missing file /etc/news/motd.news (from inn2 package)

I couldn't find the deletion in the maintainer scripts, so it's probably
done by something something that is run from the maintainer scripts.

As the wheezy package no longer ships this file as a conffile, this looks
like an intentional deletion, but to do this properly and record it in
dpkg's database accordingly, please use
  dpkg-maintscript-helper rm_conffile
(ideally via debian/inn2.maintscript).


Andreas
[inn2_2.5.3-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 10 Oct 2012 10:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 10 Oct 2012 10:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 690128@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Julien ÉLIE <julien@trigofacile.com>
Cc: 690128@bugs.debian.org
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 10 Oct 2012 12:50:10 +0200
On 2012-10-10 12:37, Julien ÉLIE wrote:
> The file /etc/news/motd.news is renamed to /etc/news/motd.nnrpd by the
> innupgrade script shipped by upstream.

> Should this renaming by upstream be marked as a removal in the
> maintainter scripts?

/etc/news/motd.nnrpd is no longer shipped as a conffile? How is it
generated (if at all)? I don't see it in my sid chroot (pbuilder,
policy-rc.d forbids starting any service).

If it were still a conffile shipped by inn2,
  dpkg-maint-script-helper mv_conffile
would be the correct tool.

And how is the new file being cleaned up on purge if it exists?


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 10 Oct 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien ÉLIE <julien@trigofacile.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 10 Oct 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 690128@bugs.debian.org (full text, mbox):

From: Julien ÉLIE <julien@trigofacile.com>
To: Andreas Beckmann <debian@abeckmann.de>, 690128@bugs.debian.org
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 10 Oct 2012 12:37:17 +0200
Hi Andreas,

> 1m24.8s ERROR: FAIL: debsums reports modifications inside the chroot:
>   debsums: missing file /etc/news/motd.news (from inn2 package)
>
> I couldn't find the deletion in the maintainer scripts, so it's probably
> done by something something that is run from the maintainer scripts.
>
> As the wheezy package no longer ships this file as a conffile, this looks
> like an intentional deletion, but to do this properly and record it in
> dpkg's database accordingly, please use
>   dpkg-maintscript-helper rm_conffile
> (ideally via debian/inn2.maintscript).

The file /etc/news/motd.news is renamed to /etc/news/motd.nnrpd by the
innupgrade script shipped by upstream.

According to changelog for INN 2.5.3 :

"Add support for LIST MOTD in innd.  Consequently, the motd.news
configuration file which was previously used only by nnrpd is renamed
to motd.nnrpd (innupgrade takes care of the rename).  innd uses the new
motd.innd file in pathetc for its message of the day."


Should this renaming by upstream be marked as a removal in the  
maintainter scripts?

-- 
Julien ÉLIE




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 10 Oct 2012 14:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien ÉLIE <julien@trigofacile.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 10 Oct 2012 14:15:08 GMT) Full text and rfc822 format available.

Message #20 received at 690128@bugs.debian.org (full text, mbox):

From: Julien ÉLIE <julien@trigofacile.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 690128@bugs.debian.org
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 10 Oct 2012 13:41:15 +0200
Hi Andreas,

>> The file /etc/news/motd.news is renamed to /etc/news/motd.nnrpd by the
>> innupgrade script shipped by upstream.
>>
>> Should this renaming by upstream be marked as a removal in the
>> maintainter scripts?
>
> /etc/news/motd.nnrpd is no longer shipped as a conffile?

/etc/news/motd.nnrpd and /etc/news/motd.innd are two new conf files
shipped with INN 2.5.3.
/etc/news/motd.news is no longer used.


> How is it generated (if at all)?

During a fresh install, motd.nnrpd and motd.innd are the two files shipped
in the inn2 tarball.
During an update, motd.innd is not installed.  And motd.news (if present)
is moved to motd.nnrpd.  So motd.nnrpd can be present or not.

INN works fine without the two files, don't worry.  They are just "message
of the day" informative files.


> If it were still a conffile shipped by inn2,
>   dpkg-maint-script-helper mv_conffile
> would be the correct tool.
>
> And how is the new file being cleaned up on purge if it exists?

I do not know.  I do not know much about Debian scripts.
I bet Marco will answer better!

-- 
Julien ÉLIE




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Tue, 06 Nov 2012 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 06 Nov 2012 22:39:06 GMT) Full text and rfc822 format available.

Message #25 received at 690128@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Julien ÉLIE <julien@trigofacile.com>, 690128@bugs.debian.org
Cc: Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Tue, 6 Nov 2012 23:36:04 +0100
[Message part 1 (text/plain, inline)]
On Wed, 10 Oct 2012 13:41:15 +0200, Julien ÉLIE wrote:

> /etc/news/motd.nnrpd and /etc/news/motd.innd are two new conf files
> shipped with INN 2.5.3.
> /etc/news/motd.news is no longer used.
 
> During a fresh install, motd.nnrpd and motd.innd are the two files shipped
> in the inn2 tarball.
> During an update, motd.innd is not installed.  And motd.news (if present)
> is moved to motd.nnrpd.  So motd.nnrpd can be present or not.


I looked at what happens with different versions, and what the
package does:

squeeze:

root@jadzia:/# ls -la /etc/news/motd*
-rw-r--r-- 1 root root 239 Dec 30  2010 /etc/news/motd.news

wheezy (upgrade from squeeze):

root@jadzia:/# ls -la /etc/news/motd*                              
-rw-r--r-- 1 root root 239 Dec 30  2010 /etc/news/motd.nnrpd

wheezy (fresh install):       
                       
root@jadzia:/# ls -la /etc/news/motd*  
ls: cannot access /etc/news/motd*: No such file or directory


In the current version, motd.innd and motd.nnrpd are installed only
as examples. So both of them are missing in /etc/news for fresh
installs.

On upgrades, innupgrade is called from the postinst and renames
motd.news to motd.nnrpd, and motd.innd is not installed.


(No idea at the moment how to represent the move done via innupgrade
with dpkg-maintscript-helper.)


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Flying Pickets: Take My Breath Away
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sat, 24 Nov 2012 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 24 Nov 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 690128@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: gregor herrmann <gregoa@debian.org>, 690128@bugs.debian.org
Cc: Julien ÉLIE <julien@trigofacile.com>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sat, 24 Nov 2012 20:25:11 +0000
We seem to have two things going on here:

motd.innd is to be renamed to motd.nnrpd (by a means yet to be agreed);

Under the name motd.nnrpd it is no longer a conffile in the new package
(as it is no longer shipped but it is used if present).

Incidentally Russ Alberry reckons that the feature which requires this
file is almost never used anyway:
http://www.eyrie.org/~eagle/software/inn/docs/motd.news.html

I am thinking of patching innupgrade to not do the rename, and checking
the md5 against the current issued version in the maintainer scripts.
If they match then ask maintscript-helper to remove it (as this
is the upstream sample which has never been edited); if not then
let maintscript-helper do the rename.  This may satisfy the Debian
requirements for ability to interrupt and revert the process.

In Wheezy we will (all being well) then either have no file at all (if
it proclaimed "This is a sample MOTD file" under squeeze) or else have
a non-conffile that has been user created.

I think this is the best for anyone who does use this file.  I'll try
coding it up but can anyone see any holes in this idea in the meantime ?

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sat, 24 Nov 2012 21:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien ÉLIE <julien@trigofacile.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 24 Nov 2012 21:15:08 GMT) Full text and rfc822 format available.

Message #35 received at 690128@bugs.debian.org (full text, mbox):

From: Julien ÉLIE <julien@trigofacile.com>
To: Nick Leverton <nick@leverton.org>, 690128@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sat, 24 Nov 2012 22:03:58 +0100
Hi Nick,

> We seem to have two things going on here:
>
> motd.innd is to be renamed to motd.nnrpd (by a means yet to be agreed);

Do you mean motd.news (used by INN <= 2.5.2) is to be renamed to 
motd.nnrpd (used by INN >= 2.5.3)?

motd.innd does not exist in INN 2.5.2.


> Under the name motd.nnrpd it is no longer a conffile in the new package
> (as it is no longer shipped but it is used if present).

motd.nnrpd is still shipped in INN 2.5.3.

If I have a look at the list of files installed by Debian packages, I see:

INN 2.5.2:

/etc/news/motd.news
/usr/share/doc/inn2/examples/active
/usr/share/doc/inn2/examples/innreport.css
/usr/share/doc/inn2/examples/newsgroups


INN 2.5.3:

/usr/share/doc/inn2/examples/active
/usr/share/doc/inn2/examples/innreport.css
/usr/share/doc/inn2/examples/motd.innd
/usr/share/doc/inn2/examples/motd.nnrpd
/usr/share/doc/inn2/examples/newsgroups


I believe something should be done in the 2.5.3 Debian package: 
motd.innd and motd.nnrpd should be installed in the /etc/news directory!


> Incidentally Russ Alberry reckons that the feature which requires this
> file is almost never used anyway:
> http://www.eyrie.org/~eagle/software/inn/docs/motd.news.html

Yep, that's true.  This feature is not wide-spread.


> In Wheezy we will (all being well) then either have no file at all (if
> it proclaimed "This is a sample MOTD file" under squeeze) or else have
> a non-conffile that has been user created.

I think it would be best to have both motd.innd and motd.nnrpd because 
they are already shipped in the package.  They should be installed in 
the right /etc/news directory.


> I think this is the best for anyone who does use this file.  I'll try
> coding it up but can anyone see any holes in this idea in the meantime ?

I hope the above comments will be of help.

-- 
Julien ÉLIE

« La perfection est atteinte non pas lorsqu'il n'y a plus rien à
  ajouter, mais lorsqu'il n'y a plus rien à retirer. » (Saint-
  Exupéry)



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sun, 25 Nov 2012 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 25 Nov 2012 20:30:03 GMT) Full text and rfc822 format available.

Message #40 received at 690128@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Julien ÉLIE <julien@trigofacile.com>
Cc: 690128@bugs.debian.org, gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sun, 25 Nov 2012 20:27:49 +0000
On Sat, Nov 24, 2012 at 10:03:58PM +0100, Julien ÉLIE wrote:
> Hi Nick,
> 
> >We seem to have two things going on here:
> >
> >motd.innd is to be renamed to motd.nnrpd (by a means yet to be agreed);
> 
> Do you mean motd.news (used by INN <= 2.5.2) is to be renamed to
> motd.nnrpd (used by INN >= 2.5.3)?
> 
> motd.innd does not exist in INN 2.5.2.

Err yes, my mistake, thanks.

> >Under the name motd.nnrpd it is no longer a conffile in the new package
> >(as it is no longer shipped but it is used if present).
> 
> motd.nnrpd is still shipped in INN 2.5.3.

...snips...
> /usr/share/doc/inn2/examples/motd.innd
> /usr/share/doc/inn2/examples/motd.nnrpd

That is not a conffile though because it is not in /etc (and the
problematic version in /etc is neither shipped nor installed).

> I believe something should be done in the 2.5.3 Debian package:
> motd.innd and motd.nnrpd should be installed in the /etc/news
> directory!

I would disagree on that one.  INN itself does not install them, they are
only there as examples for an admin who wants to use them.  I don't think
Debian needs to do extra things like installing optional example files
over and above those provided by the package or otherwise required for
it to work at all.  Other Debian packages do not do that (well maybe
some package does, but not as a general rule).

> >Incidentally Russ Alberry reckons that the feature which requires this
> >file is almost never used anyway:
> >http://www.eyrie.org/~eagle/software/inn/docs/motd.news.html
> 
> Yep, that's true.  This feature is not wide-spread.

The key point I find here is that this feature still works even if the
optional files are not installed into /etc/news.  They only need to be
created by the admin in order to provide a non-default output to the LIST
command.  Indeed on my own inn2 installation I made /etc/news/motd.news
into an empty file as otherwise trn does display it each time, so some
users definitely do not want the example files installed.

> >I think this is the best for anyone who does use this file.  I'll try
> >coding it up but can anyone see any holes in this idea in the meantime ?
> 
> I hope the above comments will be of help.

Thank you; I am willing to go with the consensus but my own opinion is
as above.  Anyone else care to chip in please ?

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sun, 25 Nov 2012 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien ÉLIE <julien@trigofacile.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 25 Nov 2012 20:48:03 GMT) Full text and rfc822 format available.

Message #45 received at 690128@bugs.debian.org (full text, mbox):

From: Julien ÉLIE <julien@trigofacile.com>
To: Nick Leverton <nick@leverton.org>, 690128@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sun, 25 Nov 2012 21:46:13 +0100
Hi Nick,

>> I believe something should be done in the 2.5.3 Debian package:
>> motd.innd and motd.nnrpd should be installed in the /etc/news
>> directory!
>
> I would disagree on that one.  INN itself does not install them, they are
> only there as examples for an admin who wants to use them.

No, INN installs both motd.innd and motd.nnrpd in /etc/news.
Have a look at site/Makefile in the INN upstream package:

PATH_MOTD_INND		= ${PATHETC}/motd.innd
PATH_MOTD_NNRPD		= ${PATHETC}/motd.nnrpd
Makefile:$D$(PATH_MOTD_INND): motd.innd		; $(COPY_RPUB) $? $@
Makefile:$D$(PATH_MOTD_NNRPD): motd.nnrpd	; $(COPY_RPUB) $? $@


Same thing for innreport.css that is installed in 
/usr/share/doc/inn2/examples whereas INN installs it in PATHHTTP 
(normally /var/log/news in Debian).



motd.news was properly installed by the Debian package for INN <= 2.5.2 
in /etc/news.



> Indeed on my own inn2 installation I made /etc/news/motd.news
> into an empty file as otherwise trn does display it each time, so some
> users definitely do not want the example files installed.

Two different things are mixed here:  the news administrator manages his 
server the way he wants.  It is up to him to configure his news server 
(feeds, newsgroups carried, cleanfeed policy, message of the day, etc.).
If a user is disturbed, then he should contact his news administrator to 
ask for a change in motd, the same way he would ask him to add 
newsgroups, change spam policies, etc.

-- 
Julien ÉLIE

« La perfection est atteinte non pas lorsqu'il n'y a plus rien à
  ajouter, mais lorsqu'il n'y a plus rien à retirer. » (Saint-
  Exupéry)



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sun, 25 Nov 2012 22:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 25 Nov 2012 22:57:06 GMT) Full text and rfc822 format available.

Message #50 received at 690128@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Julien Ã?LIE <julien@trigofacile.com>, 690128@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sun, 25 Nov 2012 22:53:11 +0000
Hi Julien,

On Sun, Nov 25, 2012 at 09:46:13PM +0100, Julien ÉLIE wrote:
> 
> No, INN installs both motd.innd and motd.nnrpd in /etc/news.
> Have a look at site/Makefile in the INN upstream package:

> PATH_MOTD_INND		= ${PATHETC}/motd.innd
> PATH_MOTD_NNRPD		= ${PATHETC}/motd.nnrpd
> Makefile:$D$(PATH_MOTD_INND): motd.innd		; $(COPY_RPUB) $? $@
> Makefile:$D$(PATH_MOTD_NNRPD): motd.nnrpd	; $(COPY_RPUB) $? $@
> 
> 
> Same thing for innreport.css that is installed in
> /usr/share/doc/inn2/examples whereas INN installs it in PATHHTTP
> (normally /var/log/news in Debian).

You are absolutely right and I apologise again.

The files are in fact explicitly deleted from the install tree by
debian/rules and this change was made by our maintainer in the 2.5.2 -
2.5.3 packaging.

But this makes me still more reluctant to change it as it is not the
subject of the present bug, and fixes during freeze are supposed to be
as minimal as possible and only to address the actual RC problem.

> Two different things are mixed here:  the news administrator manages
> his server the way he wants.  It is up to him to configure his news
> server (feeds, newsgroups carried, cleanfeed policy, message of the
> day, etc.).
> If a user is disturbed, then he should contact his news
> administrator to ask for a change in motd, the same way he would ask
> him to add newsgroups, change spam policies, etc.

Myself I still don't see the point of installing an motd file that says,
effectively, "this is a default so disregard it".  But I think we will
have to leave that point for Marco to decide on once Wheezy is released.

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sun, 25 Nov 2012 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 25 Nov 2012 23:00:05 GMT) Full text and rfc822 format available.

Message #55 received at 690128@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Nick Leverton <nick@leverton.org>, 690128@bugs.debian.org
Cc: Julien Ã?LIE <julien@trigofacile.com>, gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sun, 25 Nov 2012 23:58:07 +0100
[Message part 1 (text/plain, inline)]
On Nov 25, Nick Leverton <nick@leverton.org> wrote:

> Myself I still don't see the point of installing an motd file that says,
> effectively, "this is a default so disregard it".  But I think we will
> have to leave that point for Marco to decide on once Wheezy is released.
With hindsight, I think that you have a point about this.
With current newsreaders the motd is just annoying.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Mon, 26 Nov 2012 00:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 26 Nov 2012 00:00:07 GMT) Full text and rfc822 format available.

Message #60 received at 690128@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: md@Linux.IT (Marco d'Itri)
Cc: 690128@bugs.debian.org, Nick Leverton <nick@leverton.org>, Julien Ã?LIE <julien@trigofacile.com>, gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sun, 25 Nov 2012 15:57:50 -0800
md@Linux.IT (Marco d'Itri) writes:
> On Nov 25, Nick Leverton <nick@leverton.org> wrote:

>> Myself I still don't see the point of installing an motd file that
>> says, effectively, "this is a default so disregard it".  But I think we
>> will have to leave that point for Marco to decide on once Wheezy is
>> released.

> With hindsight, I think that you have a point about this.
> With current newsreaders the motd is just annoying.

Yeah, I'm inclined to agree with this, and wonder if INN should change its
upstream behavior to install a sample in a path other than the one used by
innd and nnrpd.  If it were something that every site would want (but
customized), that would be one thing, but my guess is that most sites
never set a MOTD, so installing one that's displayed by default is
probably not the right default behavior.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Mon, 26 Nov 2012 13:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien ÉLIE <julien@trigofacile.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 26 Nov 2012 13:42:06 GMT) Full text and rfc822 format available.

Message #65 received at 690128@bugs.debian.org (full text, mbox):

From: Julien ÉLIE <julien@trigofacile.com>
To: 690128@bugs.debian.org
Cc: Marco d'Itri <md@Linux.IT>, Russ Allbery <rra@debian.org>, Nick Leverton <nick@leverton.org>, gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Mon, 26 Nov 2012 10:51:29 +0100
Hi Russ,

>> With current newsreaders the motd is just annoying.
>
> Yeah, I'm inclined to agree with this, and wonder if INN should change its
> upstream behavior to install a sample in a path other than the one used by
> innd and nnrpd.

That would also be fine, yes.
Couldn't we install them as ${PATHETC}/motd.innd.sample and
${PATHETC}/motd.nnrpd.sample or should they be in a separate path?
In the latter case, would the ${PATHETC}/samples directory be fine?

Shouldn't we do the same for the ${PATHETC}/subscriptions file?  It already
contains a list of newsgroups.
What for files like ${PATHETC}/actsync.ign?  Maybe the default behaviour
is not the expected one.



> my guess is that most sites
> never set a MOTD, so installing one that's displayed by default is
> probably not the right default behavior.

Too bad that news clients do not behave smarter...
They should cache a local copy or fingerprint of the message of the day
so that they could display the message to the user only upon modification.
Besides, they should provide a way to force the cached information to be
refreshed...

-- 
Julien ÉLIE




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Tue, 27 Nov 2012 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 27 Nov 2012 16:24:03 GMT) Full text and rfc822 format available.

Message #70 received at 690128@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 690128@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Tue, 27 Nov 2012 16:21:38 +0000
I've prepared a fix for this along the lines I suggested.  It proved
awkward to choose between mv_conffile and rm_conffile due to the
multi-stage nature of maintainer scripts, so I ended up using rm_conffile
and inserting some code in the postinst script to capture the dpkg-bak
file and rename it in the event that it had been modified.

If anyone would care to review and perhaps upload it, the dsc is at
http://mentors.debian.net/debian/pool/main/i/inn2/inn2_2.5.3-1.1.dsc
I am happy to deal with the unblock etc but would appreciate sponsoring
for the upload.  Failing that I shall go bother Mentors as usual :-)

Nick



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Tue, 27 Nov 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 27 Nov 2012 16:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 28 Nov 2012 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 28 Nov 2012 05:27:03 GMT) Full text and rfc822 format available.

Message #80 received at 690128@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Julien ÉLIE <julien@trigofacile.com>
Cc: 690128@bugs.debian.org, Marco d'Itri <md@Linux.IT>, Nick Leverton <nick@leverton.org>, gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Tue, 27 Nov 2012 21:23:06 -0800
Julien ÉLIE <julien@trigofacile.com> writes:

>> Yeah, I'm inclined to agree with this, and wonder if INN should change
>> its upstream behavior to install a sample in a path other than the one
>> used by innd and nnrpd.

> That would also be fine, yes.
> Couldn't we install them as ${PATHETC}/motd.innd.sample and
> ${PATHETC}/motd.nnrpd.sample or should they be in a separate path?
> In the latter case, would the ${PATHETC}/samples directory be fine?

Looking at the files, they're mostly documentation for the facility.  I'm
wondering whether that's a useful thing to install.  The upside of
installing some sort of sample is that it makes it clear to people
installing a new server that this is something that can be done.  The
downside is that the files are not, themselves, actually useful; you
wouldn't use any part of their content when creating a real MOTD file.
They're just documentation.

That makes me feel like handling the documentation some other way, such as
pointers in INSTALL, may be a better idea than installing the sample file.

On second thought, installing them in a separate samples directory means
they aren't obviously there when someone is setting up a new server, so it
seems to eliminate most of the upside and add some additional complexity.

> Shouldn't we do the same for the ${PATHETC}/subscriptions file?  It
> already contains a list of newsgroups.

Yeah, but it's a fairly innocuous one that's been the same for many years.
There's not much there that will really hurt anything, so I'd be inclined
to leave that one alone.

> What for files like ${PATHETC}/actsync.ign?  Maybe the default behaviour
> is not the expected one.

It's not a horrible default, though.  It seems pretty safe to me.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 28 Nov 2012 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 28 Nov 2012 06:45:03 GMT) Full text and rfc822 format available.

Message #85 received at 690128@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Nick Leverton <nick@leverton.org>
Cc: 690128@bugs.debian.org
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Tue, 27 Nov 2012 22:42:37 -0800
Nick Leverton <nick@leverton.org> writes:

> I've prepared a fix for this along the lines I suggested.  It proved
> awkward to choose between mv_conffile and rm_conffile due to the
> multi-stage nature of maintainer scripts, so I ended up using
> rm_conffile and inserting some code in the postinst script to capture
> the dpkg-bak file and rename it in the event that it had been modified.

> If anyone would care to review and perhaps upload it, the dsc is at
> http://mentors.debian.net/debian/pool/main/i/inn2/inn2_2.5.3-1.1.dsc I
> am happy to deal with the unblock etc but would appreciate sponsoring
> for the upload.  Failing that I shall go bother Mentors as usual :-)

Marco, do you want to handle this update?  I'm happy to help here, but
don't want to tromp on you if you'd rather take care of it.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 28 Nov 2012 10:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 28 Nov 2012 10:09:11 GMT) Full text and rfc822 format available.

Message #90 received at 690128@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 690128@bugs.debian.org
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 28 Nov 2012 10:08:34 +0000
[Message part 1 (text/plain, inline)]
tag 690128 +patch
thanks

On Tue, Nov 27, 2012 at 10:42:37PM -0800, Russ Allbery wrote:
> Marco, do you want to handle this update?  I'm happy to help here, but
> don't want to tromp on you if you'd rather take care of it.

Herewith the debdiff in the hope it makes reviewing easier - meant to
append it previously, sorry.

Nick
[inn2_2.5.3-1.1.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 28 Nov 2012 10:18:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 28 Nov 2012 10:18:26 GMT) Full text and rfc822 format available.

Message #95 received at 690128@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Russ Allbery <rra@debian.org>, 690128@bugs.debian.org
Cc: Nick Leverton <nick@leverton.org>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 28 Nov 2012 11:16:27 +0100
[Message part 1 (text/plain, inline)]
On Nov 28, Russ Allbery <rra@debian.org> wrote:

> Marco, do you want to handle this update?  I'm happy to help here, but
> don't want to tromp on you if you'd rather take care of it.
Yes. I would appreciate if you could list any other patches that you 
think should be backported to the wheezy package.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Nick Leverton <nick@leverton.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 10:18:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 28 Nov 2012 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 28 Nov 2012 23:36:03 GMT) Full text and rfc822 format available.

Message #102 received at 690128@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: md@Linux.IT (Marco d'Itri)
Cc: 690128@bugs.debian.org, Nick Leverton <nick@leverton.org>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Wed, 28 Nov 2012 15:32:46 -0800
md@Linux.IT (Marco d'Itri) writes:
> On Nov 28, Russ Allbery <rra@debian.org> wrote:

>> Marco, do you want to handle this update?  I'm happy to help here, but
>> don't want to tromp on you if you'd rather take care of it.

> Yes. I would appreciate if you could list any other patches that you 
> think should be backported to the wheezy package.

There aren't any commits in the INN 2.3 branch since 2.5.3, so I think you
should be good otherwise.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 26 Dec 2012 23:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 26 Dec 2012 23:27:06 GMT) Full text and rfc822 format available.

Message #107 received at 690128@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Nick Leverton <nick@leverton.org>, 696769@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>, 690128@bugs.debian.org
Subject: Re: Bug#696769: RFS: inn2/2.5.3-1.1 [RC]
Date: Thu, 27 Dec 2012 00:22:44 +0100
[Message part 1 (text/plain, inline)]
On Wed, 26 Dec 2012 22:34:01 +0000, Nick Leverton wrote:

> I am looking for a sponsor for my NMU of package "inn2"
> 
>  * Package name    : inn2
>    Version         : 2.5.3-1.1
>    Upstream Author : The Internet Software Consortium and Rich Salz
>  * URL             : https://www.isc.org/software/inn
>  * License         : Mix of BSD, GPL and others
>    Section         : news
> 
> It builds those binary packages:
> 
>  inn2  - 'InterNetNews' news server
>  inn2-dev   - libinn.a library, headers and man pages
>  inn2-inews - NNTP client news injector, from InterNetNews (INN)
>  inn2-lfs   - 'InterNetNews' news server (LFS version)
> 
> It closes these bugs:
> 
> #690128 (serious): inn2: conffile disappearing during squeeze->wheezy upgrade:
>  /etc/news/motd.news
> 
> Please see this bug #690128 for discussion of the fix with minimal change
> in in mind for freeze and an OK for upload.

Russ has offered his help in #690128 in November, maybe he's still
willing to upload the debiff?

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Misha Alperin: Alone
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Wed, 26 Dec 2012 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 26 Dec 2012 23:36:05 GMT) Full text and rfc822 format available.

Message #112 received at 690128@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: gregor herrmann <gregoa@debian.org>, 690128@bugs.debian.org
Cc: Nick Leverton <nick@leverton.org>, 696769@bugs.debian.org, Russ Allbery <rra@debian.org>
Subject: Re: Bug#690128: Bug#696769: RFS: inn2/2.5.3-1.1 [RC]
Date: Thu, 27 Dec 2012 00:31:58 +0100
[Message part 1 (text/plain, inline)]
On Dec 27, gregor herrmann <gregoa@debian.org> wrote:

> Russ has offered his help in #690128 in November, maybe he's still
> willing to upload the debiff?
I will deal with it, IIRC there are a few other changes pending.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Thu, 27 Dec 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 27 Dec 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #117 received at 690128@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Marco d'Itri <md@Linux.IT>, 690128@bugs.debian.org
Subject: Re: Bug#690128: Bug#696769: RFS: inn2/2.5.3-1.1 [RC]
Date: Thu, 27 Dec 2012 00:05:40 +0000
On Thu, Dec 27, 2012 at 12:31:58AM +0100, Marco d'Itri wrote:
> On Dec 27, gregor herrmann <gregoa@debian.org> wrote:
> 
> > Russ has offered his help in #690128 in November, maybe he's still
> > willing to upload the debiff?
> I will deal with it, IIRC there are a few other changes pending.

Thanks Marco.

Nick



Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:30:14 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 30 Jan 2013 22:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Sun, 03 Feb 2013 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien ÉLIE <julien@trigofacile.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 03 Feb 2013 19:15:03 GMT) Full text and rfc822 format available.

Message #126 received at 690128@bugs.debian.org (full text, mbox):

From: Julien ÉLIE <julien@trigofacile.com>
To: Russ Allbery <rra@debian.org>
Cc: 690128@bugs.debian.org, Marco d'Itri <md@Linux.IT>, Nick Leverton <nick@leverton.org>, gregor herrmann <gregoa@debian.org>, Andreas Beckmann <debian@abeckmann.de>
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Sun, 03 Feb 2013 20:04:59 +0100
Hi Russ,

>> Couldn't we install them as ${PATHETC}/motd.innd.sample and
>> ${PATHETC}/motd.nnrpd.sample or should they be in a separate path?
>> In the latter case, would the ${PATHETC}/samples directory be fine?
>
> Looking at the files, they're mostly documentation for the facility.  I'm
> wondering whether that's a useful thing to install.  The upside of
> installing some sort of sample is that it makes it clear to people
> installing a new server that this is something that can be done.  The
> downside is that the files are not, themselves, actually useful; you
> wouldn't use any part of their content when creating a real MOTD file.
> They're just documentation.

Shouldn't we just add examples in /etc/news/motd.innd.sample and 
/etc/news/motd.nnrpd/sample so that these files contain more information 
than mere documentation?
Wouldn't then /etc/news be the right place to keep using?  (Note that we 
keep ".sample" at the end of the name of these files for them not to be 
automatically used by INN in case the news administrator forgot to 
modify them.)


For instance adding in motd.nnrpd.sample:

%%%
Here are a few suggestions of messages to display to the news reader.

Example 1
---------

Attention all users,

This server will be down for scheduled upgrades on February 1st.
It should be back up by 8:00 a.m. February 2nd.
Any questions should be e-mailed to <newsmaster@example.com>.

Apologies for the disturbance.


Example 2
---------

Dear customers,

We are pleased to announce the creation of a support newsgroup, named 
"our.company.support".  It was created on February 1st and is intended 
to receive your questions about the use of our services.  Our support 
team will respond within a couple of days.

Please use this new newsgroup preferably as a means to contact us.


Example 3
---------

This news server now supports TLS connections.  Please configure your 
news reader to use TLS when connecting or authenticating.  A tutorial is 
available in the newsgroup "our.company.support" to help you do the 
change.  Do not hesitate to ask for help in the newsgroup if you 
encounter issues during the change.

Starting from February 1st, unencrypted authentications (that is to say 
not using TLS) will be rejected.


Example 4
---------

Support for a new SASL mechanism has been added:  OPENID20 can now be 
used to authenticate.  Feel free to use it!
%%%




And in motd.innd.sample:

%%%
Here are a few suggestions of messages to display to the peer.

Example 1
---------

Attention all users,

This server will be down for scheduled upgrades on February 1st.
It should be back up by 8:00 a.m. February 2nd.
Any questions should be e-mailed to <newsmaster@example.com>.

Apologies for the disturbance.


Example 2
---------

This news server now carries the comp.* hierarchy.  Feel free to add it 
to the list of hierarchies you feed us.


Example 3
---------

This news server no longer accepts articles whose length exceeds 32 768 
bytes.  Please configure your server not to send us such articles.


Example 4
---------

Starting from February 1st, the IP of this news server will change. 
Note that its host name remains the same.  In case explicit rules based 
on IP exist at your end (firewall, iptables, feed configuration, etc.), 
please update them to use 10.0.0.1 as the IP of our news server.
%%%



Is it OK to do the suggested change and keep the samples in /etc/news?

Please tell me in case there are misspellings in the suggested texts.
Some of you may have noticed that the first example for nnrpd is taken 
from RFC 6048 (specifying LIST MOTD, amongst other commands).  I hope it 
is fine to use it :-)

If you have ideas of other examples to add, do not hesitate to suggest.

-- 
Julien ÉLIE

« Il faut mettre un frein à l'immobilisme. »



Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Mon, 08 Apr 2013 03:36:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Mon, 08 Apr 2013 03:36:09 GMT) Full text and rfc822 format available.

Message #131 received at 690128-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 690128-close@bugs.debian.org
Subject: Bug#690128: fixed in inn2 2.5.3-2
Date: Mon, 08 Apr 2013 03:32:43 +0000
Source: inn2
Source-Version: 2.5.3-2

We believe that the bug you reported is fixed in the latest version of
inn2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690128@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated inn2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 07 Apr 2013 21:43:24 +0200
Source: inn2
Binary: inn2 inn2-lfs inn2-inews inn2-dev
Architecture: source i386
Version: 2.5.3-2
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 inn2       - 'InterNetNews' news server
 inn2-dev   - libinn.a library, headers and man pages
 inn2-inews - NNTP client news injector, from InterNetNews (INN)
 inn2-lfs   - 'InterNetNews' news server (LFS version)
Closes: 685007 690128
Changes: 
 inn2 (2.5.3-2) unstable; urgency=low
 .
   * Fixed the fix for #652733, which totally broke pgpverify.
     (Closes: #685007)
   * Handle upstream renaming of our conffile /etc/news/motd.news to
     non-conffile /etc/news/motd.nnrpd. If it has not been modified by
     the admin then just remove it. Patch courtesy of Nick Leverton.
     (Closes: #690128)
Checksums-Sha1: 
 c85bc9e34d658d817e8cec218560c805486914de 1221 inn2_2.5.3-2.dsc
 61a88b3bd49fc63a39f23af916522cf0250226e2 27284 inn2_2.5.3-2.debian.tar.xz
 00ff422c8eed96db0a1cc065b529a3330397fd67 4261090 inn2_2.5.3-2_i386.deb
 597e84fde1708f81cf13eed34609ec420cfcc632 4356934 inn2-lfs_2.5.3-2_i386.deb
 0d9768d1991f714f77f656b682fdf36140f521e0 158184 inn2-inews_2.5.3-2_i386.deb
 5da223ee47fc6e6cb65d9abaef304789528d2739 323824 inn2-dev_2.5.3-2_i386.deb
Checksums-Sha256: 
 e3c0b601f66469709c0dc67fed38c9b2a43283a4a5e958db69ceac476662193a 1221 inn2_2.5.3-2.dsc
 09d8e04392f5e40142d7beb5f41182ec403fafd893d714499a5793bf7a2a0344 27284 inn2_2.5.3-2.debian.tar.xz
 585c971582a08a8228a454e808c63b01989c6044b048430db344f0be7e1ec56a 4261090 inn2_2.5.3-2_i386.deb
 434b719b9107fa2ec7f9e7ec2158b762d9fe2be2d2d3cf5b53826defbf069157 4356934 inn2-lfs_2.5.3-2_i386.deb
 0afc234c446ba757ec6f048af734fee0779e0a4e22e3bcb22fafec617a142747 158184 inn2-inews_2.5.3-2_i386.deb
 a12de8c4f527b2ab896bd9991c6c5abc5a542d224d59528112b28e1b22ff4fc4 323824 inn2-dev_2.5.3-2_i386.deb
Files: 
 fc5d8d8233d8b3b80e028927676d7818 1221 news extra inn2_2.5.3-2.dsc
 a4d7c87d787c83b747751cfc98380679 27284 news extra inn2_2.5.3-2.debian.tar.xz
 00b261fd9ba9081bed9c507f79c8dc9a 4261090 news extra inn2_2.5.3-2_i386.deb
 9573855382d0728631a54ab99dc7dcec 4356934 news extra inn2-lfs_2.5.3-2_i386.deb
 80a3ac56a459ad7e4551bbe86a94ce59 158184 news extra inn2-inews_2.5.3-2_i386.deb
 1999943195b8bc657aa823816d06fc7d 323824 devel extra inn2-dev_2.5.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFiNf4ACgkQFGfw2OHuP7FB/ACfeJ0QvXtNUbpPTgQJaEhKFDDK
0EkAoIHDivzLHiGSeAHeaju0RKq1d3s8
=pu5H
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#690128; Package inn2. (Mon, 08 Apr 2013 05:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Mon, 08 Apr 2013 05:33:04 GMT) Full text and rfc822 format available.

Message #136 received at 690128@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Nick Leverton <nick@leverton.org>, 690128@bugs.debian.org
Subject: Re: Bug#690128: inn2: conffile disappearing during squeeze->wheezy upgrade: /etc/news/motd.news
Date: Mon, 08 Apr 2013 06:28:14 +0100
Hi,

I was looking at the inn2 upload for an unblock, but...

On Wed, 2012-11-28 at 10:08 +0000, Nick Leverton wrote:
> Herewith the debdiff in the hope it makes reviewing easier - meant to
> append it previously, sorry.

+dpkg-maintscript-helper rm_conffile /etc/news/motd.news 2.5.3-1~ package -- "$@"

That (and the other similar calls) is wrong. From
dpkg-maintscript-helper(1):

"_package_ is the package name. If empty or omitted, the
DPKG_MAINTSCRIPT_PACKAGE environment variable (as set by dpkg) will be
used.
"

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:29:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:50:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.